Get deliveries
curl --request GET \
--url https://api.yume.cloud/v1/crm/requests/deliveries/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.yume.cloud/v1/crm/requests/deliveries/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.yume.cloud/v1/crm/requests/deliveries/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": 123,
"request": {
"id": 123,
"rent_start": "2023-11-07T05:31:56Z",
"rent_end": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": 0,
"rent_fact_start": "2023-11-07T05:31:56Z",
"rent_fact_end": "2023-11-07T05:31:56Z",
"price": "<string>",
"discount_amount": "<string>",
"price_discount": "<string>",
"price_inventory": "<string>",
"price_service": "<string>",
"discount_inventory_amount": "<string>",
"discount_service_amount": "<string>",
"payment_status": 0,
"paid_amount": "<string>",
"penalty_amount": "<string>",
"rental_point": 123,
"deleted": true,
"plus_id": 0,
"extra": "<unknown>"
},
"delivery_place": {
"latitude": "<string>",
"longitude": "<string>",
"name": "<string>"
},
"issue_place": {
"latitude": "<string>",
"longitude": "<string>",
"name": "<string>"
},
"worker": 123,
"pickup_date": "2023-11-07T05:31:56Z",
"type": 0,
"price": "<string>",
"images": [
{
"id": 123,
"thumb": "<string>",
"name": "<string>",
"extension": "<string>",
"hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"content_type": "<string>",
"object_id": 4611686018427388000,
"image": "<string>",
"type": "<string>"
}
],
"client": {
"id": 123,
"name": "<string>",
"agreement_id": "<string>",
"phone": "<string>",
"type": 0,
"avatar": "<string>",
"signed": true,
"sign_date": "2023-12-25",
"sign_expires": "2023-12-25",
"email": "jsmith@example.com",
"legal_type": 0,
"extra": "<unknown>"
},
"manager": 123,
"inventories": [
{
"id": 123,
"request": 123,
"client": "<string>",
"inventory": {
"id": 123,
"name": "<string>",
"subleases": [
{
"id": 123,
"inventory": 123,
"user": 123,
"percent": "<string>",
"is_current": true,
"created_at": "2023-11-07T05:31:56Z",
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z"
}
],
"car": {
"id": 123,
"type": "CAR",
"brand": "<string>",
"model": "<string>",
"number": "<string>",
"tech_passport": "<string>",
"serial": "<string>",
"vin": "<string>",
"extra": "<unknown>"
},
"group": 123,
"unique_id": "<string>",
"category": 123,
"image": "<string>",
"extra": "<unknown>",
"state": 123,
"disabled": 0,
"rental_point": 123
},
"autorenewal": true,
"inventory_group": 123,
"tarif": 123,
"tarif_price": "<string>",
"tarif_duration": "<string>",
"discount": 123,
"additional_discount": "<string>",
"price": "<string>",
"price_discount": "<string>",
"penalty_amount": "<string>",
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"fact_start_at": "2023-11-07T05:31:56Z",
"fact_end_at": "2023-11-07T05:31:56Z",
"set": 123,
"set_group": "<string>",
"extra": "<unknown>",
"type": 0,
"created_by": 123,
"warehouse": 123,
"counterparty": 123,
"exchange": 123
}
],
"cancel_comment": "<string>",
"delivered_at": "2023-11-07T05:31:56Z",
"issued_at": "2023-11-07T05:31:56Z",
"status": 0,
"comment": "<string>",
"price_discount": "<string>",
"extra": "<unknown>",
"issue": 123,
"phone": "<string>",
"phone_alternative": "<string>"
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}deliveries
Get deliveries
GET
/
v1
/
crm
/
requests
/
deliveries
/
Get deliveries
Авторизации
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Заголовки
Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.
Параметры запроса
Which field to use when ordering the results.
A page number within the paginated result set.
Number of results to return per page.
A search term.
0- Ожидает1- В работе2- Доставлено3- Отменено
Доступные опции:
0, 1, 2, 3 Несколько значений могут быть разделены запятыми.
0- Доставка1- Самовывоз
Доступные опции:
0, 1 Несколько значений могут быть разделены запятыми.